org.eclipse.net4j.util.security

## Class DiffieHellman

- java.lang.Object
- - org.eclipse.net4j.util.security.DiffieHellman

-     public class DiffieHellman
      extends java.lang.Object

  Executes the Diffie-Hellman key agreement protocol between 2 parties: `DiffieHellman.Server` and `DiffieHellman.Client`.
  Since:
    3.3
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DiffieHellman.Client` Executes the client-side of the Diffie-Hellman key agreement protocol.
    `static class` | `DiffieHellman.ParameterSpecGenerator` Creates Diffie-Hellman parameters.
    `static class` | `DiffieHellman.Server` Executes the server-side of the Diffie-Hellman key agreement protocol.
    `static class` | `DiffieHellman.SkipParameterSpec`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiffieHellman()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiffieHellman

          public DiffieHellman()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html